Query Inventory Stats
Get Stats from Vms given the vdu Id
Request
URI
POST
https://{api_host}/tca/etsi/orgs/{vnfpmOrgId}/direct/internal/vnfpm/v1/{vnfInstanceId}/stats
COPY
Path Parameters
string
vnfpmOrgId
Required
The tenant identifier
string
vnfInstanceId
Required
Network Function Instance Id
Header Parameters
string
Accept-Language
Optional
Accept-Language
Request Body
Filter to get stats
statsFilter
of type(s)
application/json
Required
{
"filter": {
"vduIds": [
"string"
],
"metricGroupNames": [
"string"
],
"metricNames": [
"string"
],
"duration": {
"from": "string",
"to": "string"
}
},
"paging": {
"offset": "string",
"pageSize": 0
}
}
object
filter
Optional
filter
Responses
200
Returns
SucessStatsResponse
of type(s)
application/json
{
"paging": {
"offset": "string",
"pageSize": 0
},
"vduStats": [
{
"vduId": "string",
"stats": [
{
"metricName": "string",
"units": "string",
"ts": [
"number"
],
"values": [
"string"
]
}
]
}
],
"warnings": [
{
"message": "string"
}
],
"errors": [
{
"code": "string",
"message": "string"
}
]
}
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
500
Returns
InternalServerError
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
On This Page
Performance Management Operations
POST
Create Pm Job
DELETE
Delete Pm Job
GET
Download Report File
GET
Get Pm Job
GET
Get Pm Job Report
GET
Get Pm Jobs For Vnf
POST
Query Inventory Stats